|  | Home | Documentation | wstapi.h File Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Functions | Variables
wstapi.h File Reference
`#include "wsaapi.h"`
`#include "wsseapi.h"`
`#include "smdevp.h"`
`#include "mecevp.h"`
`#include "threads.h"`
Include dependency graph for wstapi.h:
This graph shows which files directly or indirectly include this file:

## Functions
SOAP_FMAC1 int SOAP_FMAC2 | soap_wst_request_saml_token (struct soap *soap, const char *endpoint, int soapver, const char *applyto, const char *username, const char *password, saml1__AssertionType **saml1, saml2__AssertionType **saml2)
| Request SAML 1.0 or SAML 2.0 token. Verifies the SAML signature, which requires soap->cafile to be set. Does not verify the conditions of the SAML token, such as NotBefore and NotOnOrAfter, which has to be done explicitly as shown in the documentation. More...
SOAP_FMAC1 int SOAP_FMAC2 | soap_wst_request_psha1_token (struct soap *soap, const char *endpoint, int soapver, const char *applyto, const char *username, const char *password, char *psha1, size_t psha1len)
| Request PSHA1 token. More...
SOAP_FMAC5 int SOAP_FMAC6 | soap_call___wst__RequestSecurityToken (struct soap *soap, const char *soap_endpoint, const char *soap_action, struct wst__RequestSecurityTokenType *wst__RequestSecurityToken, struct wst__RequestSecurityTokenResponseType *wst__RequestSecurityTokenResponse)
SOAP_FMAC5 int SOAP_FMAC6 | soap_call___wst__RequestSecurityTokenResponse (struct soap *soap, const char *soap_endpoint, const char *soap_action, struct wst__RequestSecurityTokenResponseType *wst__RequestSecurityTokenResponse, struct wst__RequestSecurityTokenResponseCollectionType *wst__RequestSecurityTokenResponseCollection)
SOAP_FMAC5 int SOAP_FMAC6 | soap_call___wst__RequestSecurityTokenCollection (struct soap *soap, const char *soap_endpoint, const char *soap_action, struct wst__RequestSecurityTokenCollectionType *wst__RequestSecurityTokenCollection, struct wst__RequestSecurityTokenResponseCollectionType *wst__RequestSecurityTokenResponseCollection)

## Variables
const char * | soap_wst_rst_action
const char * | soap_wst_rstr_action
const char * | soap_wst_rstc_action
const char * | soap_wst_rstrc_action

## Function Documentation

SOAP_FMAC5 int SOAP_FMAC6 soap_call___wst__RequestSecurityToken | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | struct wst__RequestSecurityTokenType * | wst__RequestSecurityToken,
|  | struct wst__RequestSecurityTokenResponseType * | wst__RequestSecurityTokenResponse
| ) |  |

SOAP_FMAC5 int SOAP_FMAC6 soap_call___wst__RequestSecurityTokenCollection | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | struct wst__RequestSecurityTokenCollectionType * | wst__RequestSecurityTokenCollection,
|  | struct wst__RequestSecurityTokenResponseCollectionType * | wst__RequestSecurityTokenResponseCollection
| ) |  |

SOAP_FMAC5 int SOAP_FMAC6 soap_call___wst__RequestSecurityTokenResponse | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | struct wst__RequestSecurityTokenResponseType * | wst__RequestSecurityTokenResponse,
|  | struct wst__RequestSecurityTokenResponseCollectionType * | wst__RequestSecurityTokenResponseCollection
| ) |  |

int soap_wst_request_psha1_token | ( | struct soap * | soap,
|  | const char * | endpoint,
|  | int | soapver,
|  | const char * | applyto,
|  | const char * | username,
|  | const char * | password,
|  | char * | psha1,
|  | size_t | psha1len
| ) |  |

Request PSHA1 token.

Parameters

  soap | context
  endpoint | service endpoint URL (send to)
  soapver | SOAP version 1 = SOAP 1.1, 2 = SOAP 1.2 (recommended)
  applyto | service domain
  username | authentication or NULL
  password | authentication or NULL
  psha1 | filled with the PSHA1 result token of psa1len bytes
  psha1len | token size in bytes

Returns
  SOAP_OK or error code

int soap_wst_request_saml_token | ( | struct soap * | soap,
|  | const char * | endpoint,
|  | int | soapver,
|  | const char * | applyto,
|  | const char * | username,
|  | const char * | password,
|  | saml1__AssertionType ** | saml1,
|  | saml2__AssertionType ** | saml2
| ) |  |

Request SAML 1.0 or SAML 2.0 token. Verifies the SAML signature, which requires soap->cafile to be set. Does not verify the conditions of the SAML token, such as NotBefore and NotOnOrAfter, which has to be done explicitly as shown in the documentation.

Parameters

  soap | context
  endpoint | service endpoint URL (send to)
  soapver | SOAP version 1 = SOAP 1.1, 2 = SOAP 1.2 (recommended)
  applyto | service domain
  username | authentication or NULL
  password | authentication or NULL
  saml1 | if non-NULL, requests SAML 1.0 and upon return points to a pointer that is set to the SAML 1.0 assertion received
  saml2 | if non-NULL, requests SAML 2.0 and upon return points to a pointer that is set to the SAML 2.0 assertion received

Returns
  SOAP_OK or error code

## Variable Documentation

const char* soap_wst_rst_action

const char* soap_wst_rstc_action

const char* soap_wst_rstr_action

const char* soap_wst_rstrc_action